/* -----------------------------------
Variables
-------------------------------------- */

:root {
    --color-bg: #FCFCFC;
    --color-default: #3A3A3A;
    --color-highlight: #000;
    --color-dim: #6F6F6F;
    --color-vdim: #c9c5c1;
    
    --font-sans: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji;
    --font-size: 16px;
    --font-size-small: 14px;

    --font-weight-standard: 400;
    --font-weight-heavy: 500;
    
    --spacing: 1.6em;
    --spacing-s: calc(0.5 * var(--spacing));
    --spacing-m: var(--spacing);
    --spacing-l: calc(1.5 * var(--spacing));
    --spacing-xl: calc(2.5 * var(--spacing));
    --spacing-xxl: calc(5 * var(--spacing));
    --spacing-col: calc(6 * var(--spacing));
    --spacing-width-max: 38rem;
    --spacing-width-tiny: 15rem;
    --spacing-width-xl: 50rem;

    --social: invert(0%);
    --social-hover: invert(50%);
}

form {
	--label-size: 10px;
	--field-color: #F8F6F5;
	--label-color: #212529;
	--button-color: #5B5956;
	--button-text-color: #F8F6F5;
	--field-border-color: #E6E3DF;
}


@media (prefers-color-scheme: dark) {
:root {
    --color-bg: #1C1C1C;
    --color-default: #BAB6B1;    
    --color-highlight: #F8F6F5;
    --color-dim: #aaa5a0;
    --color-vdim: #494745;
	}
	
	form {
	--label-size: 10px;
	--field-color: #242120;
	--label-color: #494745;
	--button-color: #5B5956;
	--button-text-color: #F8F6F5;
	--field-border-color: #E6E3DF;
	}
}

/* -----------------------------------
Social Icons
-------------------------------------- */
.social {
    margin-top: var(--spacing);
}

.social svg {
    filter: var(--social);
}

.social svg:hover {
    filter: var(--social-hover);
}


/* -----------------------------------
Base
-------------------------------------- */

* {
    -webkit-font-smoothing: antialiased;
    box-sizing: border-box;
    font-feature-settings: "kern" 1,"liga" 1;
}

html {
    font-size: var(--font-size);
    font-family: var(--font-sans);
    font-weight: var(--font-weight-standard);
    line-height: 1.8rem;
    background-color: var(--color-bg);
    color: var(--color-default);
    -webkit-font-smoothing: antialiased;
    font-feature-settings: "kern" 1, "liga" 1;
    text-rendering: optimizeLegibility;
    padding: 1.5rem;
}

body {
    margin: 3vw 0;
}

section {
    margin-bottom: var(--spacing-xl);
}

/* -----------------------------------
Header
-------------------------------------- */

body>header {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-bottom: var(--spacing-xxl);
    color: var(--color-dim);
}

body>header h1 {
    margin: 0;
}

body>header h2 {
    margin: 0;
}

body>header img {
    display: block;
    border-radius: 100%;
    height: calc(3 * var(--spacing));
    width: auto;
}

body>header a {
    text-decoration: none;
}

/* -----------------------------------
Footer
-------------------------------------- */

body>footer {
    font-size: var(--font-s);
    line-height: var(--spacing-xl);
}

body>footer nav, body>footer {
    display: flex;
    gap: var(--spacing-width-xxl);
}

body>footer .copyright {
    float: right;
}

/* -----------------------------------
Typography
-------------------------------------- */

h1, h2, h3, h4 {
    margin: var(--spacing-s) 0;
    color: var(--color-highlight);
}

h1 {
    font-weight: var(--font-weight-heavy);
	font-size: 1.4rem;
}

h2 {
    font-weight: var(--font-weight-heavy);
    margin: var(--spacing-m) 0;
    font-size: 1rem;
}

h3 {
    color: var(--color-dim);
    font-weight: var(--font-weight-standard);
    font-size: 1rem;
    margin: 0;
}

h3 a {
    color: var(--color-dim);
    text-decoration: none;
}

h3 a:hover {
    color: var(--color-default);
    text-decoration: underline;
}

h4 {
	text-transform: uppercase;
	font-size: .8rem;
}

a {
    color: var(--color-default);
    text-decoration-color: var(--color-dim);
    text-decoration-thickness: 0.5px;
    text-underline-offset: .2em;
}

a:hover {
    transition: color 0.2s ease-in;
    color: var(--color-dim);
}

p, ol, ul {
    font-family: var(--font-sans);
    font-weight: var(--font-weight-standard);
    margin: 1em 0;
    font-size: var(--font-size);
    font-feature-settings: 'onum' 1;
}

blockquote {
    font-size: calc(.97 * var(--font-size));
		
}

blockquote p {
    border-left: 1px solid var(--color-vdim);
	margin-left: 2rem;
	padding-left: 1rem;
    font-style: italic;
}

figcaption {
    text-align: center;
    margin-top: var(--spacing-s);
    font-family: var(--font-sans);
    color: var(--color-dim);
    font-size: var(--font-size-small);
}

small {
    font-size: var(--font-size-small);
    color: var(--color-dim);
    line-height: 1.5;
    display: block;
}

.label, time {
    color: var(--color-default);
}

.label a, time a {
    color: var(--color-default);	
	text-decoration: none;
}

.label a:hover, time a:hover {
    color: var(--color-default);	
	text-decoration: none;
}

time {
    font-feature-settings: 'tnum' 1;
}

/* -----------------------------------
Block Elements
-------------------------------------- */

hr {
    margin: var(--spacing-xl) auto;
    max-width: calc(2 * var(--spacing-xxl));
    border: none;
    border-top: 1px solid var(--color-vdim);
}

figure, video, audio {
    display: block;
    width: 100%;
    margin: var(--spacing-xl) 0;
}

figure img {
    width: 100%;
    height: auto;
}

/* -----------------------------------
Home
-------------------------------------- */

.split {
    margin-bottom: var(--spacing-l);
}

@media (min-width: 600px) {
    .split {
        display: grid;
        grid-template-columns: clamp(8em, 20vw, var(--spacing-col)) 1fr;
        align-items: baseline;
        margin-bottom: var(--spacing-s);
    }
    .split time { margin: 0; }
}

small + p {
    margin-top: var(--spacing-s);
}

section h2 a {
    text-decoration: none;
}

/* -----------------------------------
Post Index & Post
-------------------------------------- */

section.posts ul {
    list-style: none;
    padding: 0;
    margin: 0;
    font-family: var(--font-sans);
    font-weight: var(--font-weight-standard);
    font-size: var(--font-size);
    line-height: 3em;
}

article header {
    margin-bottom: var(--spacing-xl);
}

article header h2 {
    font-weight: var(--font-weight-standard);
}

article h1 {
    font-size: var(--font-size);
    margin-bottom: 0;
}

article a {
    color: var(--color-default);
    text-decoration-color: var(--color-dim);
    text-decoration-thickness: 0.5px;
    text-underline-offset: .2em;
    font-weight: var(--font-weight-standard);
}

article figure img{
    width: 100%;
}

/* -----------------------------------
Limit widths
-------------------------------------- */

body>header, article>header,
h1, h2, h3, h4, time,
p, blockquote, ol, ul, details, pre.code, figcaption,
.split, .posts, footer {
    max-width: var(--spacing-width-max);
    margin-left: auto;
    margin-right: auto;
}

figure, audio, video {
    max-width: var(--spacing-width-xl);
    margin-left: auto;
    margin-right: auto;
}

.limit {
    max-width: var(--spacing-width-tiny);
    margin-left: auto;
    margin-right: auto;
}

iframe[src*="youtube"] {
    max-width: var(--spacing-width-xl);
    width: 100%;
	aspect-ratio: 16/9;
}

/* -----------------------------------
Forms
-------------------------------------- */

form {
	display:block;
    position:relative;
    text-align:left;
    padding:10px 0 10px 0
}

input {
    border:1px solid var(--field-border-color);
    -webkit-appearance: none;
    background-color: var(--field-color);
    font-family: var(--font-sans);
    font-size: var(--font-size);
    color: var(--label-color);
    display:inline-block;
    padding:0 0.4em;
    margin:0 1% 10px 0;
    min-height:32px;
    width:50%;
    min-width:130px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

input:focus {
    border-color: var(--field-border-color);
}

button {
    clear:both;
    background-color: var(--button-color);
    border: 0 none;
    border-radius:4px;
    color: var(--button-text-color);
    display: inline-block;
    font-size:var(--font-size);
    height: 32px;
    line-height: 32px;
    margin: 0 5px 10px 0;
    padding:0;
    text-align: center;
    text-decoration: none;
    vertical-align: top;
    white-space: nowrap;
    width: auto;
    transition: all 0.2s ease-in-out 0s;
    width:25%;
    margin:0 0 10px 0;
    min-width:90px;
    font-weight:400;
}

button:hover {
    background-color: var(--label-color);
}

form .form-hidden {
    display: none;
}

/* -----------------------------------
Nav
-------------------------------------- */
nav {
    font-weight: var(--font-weight-heavy);
    color: var(--color-dim);
}

nav a {
    color: var(--color-default);
}

.breadcrumbs, .breadcrumbs a {
    font-size: var(--font-size-small);
    color: var(--color-dim);
    width: 100%;
    margin: auto;
}

.breadcrumbs a:hover {
    color: var(--color-default);
}

/* -----------------------------------
Bio
-------------------------------------- */
.bio {
  max-width: var(--spacing-width-max);
  border-top: 1px solid var(--color-vdim);
  margin: auto;
  margin-top: 4em;
  padding-top: 4em;
}

.bio p {
  font-size: .8em;
}

.bio img {
  float: left;
  box-shadow: none;
  margin-bottom: 15px;
  margin-top: 15px;
  margin-right: 15px;
  width: 120px;
  border-radius: 50%;
  border: 2px solid #ddd;
}

/* -----------------------------------
Extras
-------------------------------------- */
section.pagination {
  max-width: var(--spacing-width-max);
}

/* -----------------------------------
Photos
-------------------------------------- */

.photos-single img {

}

/* -----------------------------------
SVG
-------------------------------------- */
